﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class ButtonController : MonoBehaviour {

    public string webplayerQuitURL = "//www.peterverzijl.com/";

    /// <summary>
    /// Loads a level by name
    /// </summary>
    /// <param name="levelname">The name of the level to load</param>
    public void LoadLevel(string levelname)
    {
        SceneManager.LoadScene(levelname);
    }

    /// <summary>
    /// Exits the game based on the platform.
    /// </summary>
    public void ExitGame()
    {
#if UNITY_EDITOR
        UnityEditor.EditorApplication.isPlaying = false;
#elif UNITY_WEBPLAYER
        Application.OpenURL(webplayerQuitURL);
#else
        Application.Quit();
#endif
    }
}
