﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(MeshRenderer))]
public class HeatwaveController : MonoBehaviour {

    public float duration = 2.0f;
    public int strength = 128;
    public int minimum = 30;
    public float size = 5.0f;

    float _time;
    float _size;
    int _distortion;
    
    Material material;

	// Use this for initialization
	void Start ()
    {
        material = GetComponent<MeshRenderer>().material;
        material.SetInt("Distortion", _distortion);

        _size = 0.01f;
        _distortion = strength;

    }
	
	// Update is called once per frame
	void Update ()
    {
        _time += Time.deltaTime;
        if (_time > duration)
        {
            Destroy(gameObject);
        }

        // The size
        if (_size < size)
        {
            _size += (size/duration) * Time.deltaTime;
        }
        transform.localScale = Vector3.one * _size;

        // Distortion
        if (_distortion > minimum)
        {
            _distortion -= (int)(((strength - minimum) / duration) * Time.deltaTime);
        }
        if (_distortion < minimum)
        {
            _distortion = minimum;
        }
        material.SetInt("_BumpAmt", _distortion);
    }
}
