﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using System;

public class IntroAnimationController : MonoBehaviour {

    public static bool PlayAnimation = true;
    public GameObject[] Logos;
    public GameObject GameLogo;
    public GameObject SubLogo;

    public Image BackgoundImage;
    Color BackgoundColor;

    public GameObject Grid;
    public GameObject MenuButtons;

	// Use this for initialization
	void Start ()
    {
	    if (PlayAnimation)
        {
            foreach (GameObject logo in Logos)
            {
                logo.SetActive(false);
            }
            GameLogo.SetActive(false);
            SubLogo.SetActive(false);

            BackgoundColor = BackgoundImage.color;
            BackgoundColor.a = 1.0f;
            BackgoundImage.color = BackgoundColor;

            MenuButtons.SetActive(false);
            StartCoroutine(ShowLogos(2.0f, 1.0f));
        }
	}
	
	// Update is called once per frame
	void Update ()
    {
	    // Let esc or enter skip a cutscene
        if (Input.GetKeyDown(KeyCode.Return) ||
            Input.GetKeyDown(KeyCode.Escape))
        {
            // Do skipping
        }
	}

    /// <summary>
    /// Shows the logos in the Logos array.
    /// </summary>
    /// <param name="secondsToShow"></param>
    /// <param name="secondsToWait"></param>
    /// <returns></returns>
    IEnumerator ShowLogos(float secondsToShow, float secondsToWait)
    {
        foreach (GameObject logo in Logos)
        {
            yield return StartCoroutine(WaitForSecondsOrKeyInput(secondsToWait));
            logo.SetActive(true);
            yield return StartCoroutine(WaitForSecondsOrKeyInput(secondsToShow));
            logo.SetActive(false);
        }
        yield return StartCoroutine(ShowGameLogoAndButtons());
    }

    IEnumerator ShowGameLogoAndButtons()
    {
        yield return StartCoroutine(WaitForSecondsOrKeyInput(2.0f));
        GameLogo.SetActive(true);
        yield return StartCoroutine(WaitForSecondsOrKeyInput(1.0f));
        SubLogo.SetActive(true);
        // Fade to whiteness
        float alphaDelta = 1.0f / 3.0f;
        Color c;
        Grid.GetComponent<Animator>().Play("animGridRotate", 1);
        while (BackgoundColor.a > 0.01f)
        {
            BackgoundColor.a -= alphaDelta * Time.deltaTime;
            BackgoundImage.color = BackgoundColor;
            yield return null;
        }
        MenuButtons.SetActive(true);
    }

    IEnumerator WaitForSecondsOrKeyInput(float seconds)
    {
        float startTime = Time.time;
        float currentTime = startTime;
        bool hasPressedButton = false;
        while((currentTime - startTime < seconds) && !hasPressedButton)
        {
            hasPressedButton = (Input.GetKeyDown(KeyCode.Escape) ||
                                Input.GetKeyDown(KeyCode.LeftControl) ||
                                Input.GetKeyDown(KeyCode.Return));
            yield return null;
            currentTime = Time.time;
        }
    }
}
