﻿using UnityEngine;

public class KeyboardInput : ControllerInput {

    public static float easing = 8f;
    internal float input;

    public KeyCode right = KeyCode.RightArrow;
    public KeyCode left = KeyCode.LeftArrow;
    public KeyCode altRight = KeyCode.D;
    public KeyCode altLeft = KeyCode.A;

    // Update is called once per frame
    void Update () {

        if (Input.GetKey(left) || Input.GetKey(altLeft))
        {
            input -= easing * Time.deltaTime;
        }
        else if (Input.GetKey(right) || Input.GetKey(altRight))
        {
            input += easing * Time.deltaTime;
        }
        else
        {
            input *= 0.8f * Time.deltaTime;
        }

        input = Mathf.Clamp(input, -1.0f, 1.0f);

        motor.UpdatePosition(input);
    }
}
