﻿using UnityEngine;
using System.Collections;
using XboxCtrlrInput;

public class PauseMenuController : MonoBehaviour {
    
    /// <summary>
    /// The pause menu
    /// </summary>
    public GameObject pauseMenu;

    /// <summary>
    /// The pause key used to toggle the pause menu
    /// </summary>
    public KeyCode pauseKey = KeyCode.Escape;
    public XboxButton pauseGamepadButton = XboxButton.Start;

    public static bool isGamePaused = false;

	// Use this for initialization
	void Start () {
        pauseMenu.SetActive(false);
	}
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKeyDown(pauseKey) || XCI.GetButtonDown(XboxButton.Start))
        {
            TogglePauseMenu(!pauseMenu.activeInHierarchy);
        }	
	}

    /// <summary>
    /// Set the game to pause mode or not.
    /// </summary>
    /// <param name="b">Game will pause if true.</param>
    public void TogglePauseMenu(bool b)
    {
        pauseMenu.SetActive(b);
        Time.timeScale = (b) ? 0 : 1;
        isGamePaused = b;
    }
}
