﻿using UnityEngine;
using UnityEngine.UI;
using Settings;

public class PlayerSelectScreenManager : MonoBehaviour {
    
    float disabledAlpha = 0.2f;
    float enabledAlpha = 1.0f;

    /// <summary>
    /// The three image components of the input indicator graphics.
    /// </summary>
    public Image[] inputImages = new Image[3];

    public Sprite[] addInputSprite = new Sprite[3];
    public Sprite[] removeInputSprite = new Sprite[3];

	// Use this for initialization
	void Start ()
    {
        
	}
	
	// Update is called once per frame
	void Update ()
    {
	   
	}

    /// <summary>
    /// Set the current input method for this player.
    /// </summary>
    /// <param name="type">The type of input to use.</param>
    public void SetInputActive(InputType type)
    {
        Color c;
        // Set all inactive
        for (int i = 0; i < 3; i++)
        {
            c = inputImages[i].color;
            c.a = disabledAlpha;
            inputImages[i].color = c;
        }
        // Set the correct one active
        c = inputImages[(int)type].color;
        c.a = enabledAlpha;
        inputImages[(int)type].color = c;
        // Set the image to the back button
        inputImages[(int)type].sprite = removeInputSprite[(int)type];
    }

    /// <summary>
    /// Disables the input
    /// </summary>
    public void SetInputDisabled(InputType type)
    {
        Color c;
        // Set all inactive
        for (int i = 0; i < 3; i++)
        {
            c = inputImages[i].color;
            c.a = disabledAlpha;
            inputImages[i].color = c;
            inputImages[i].sprite = addInputSprite[i];
        }
        // Set the image to the back button
        inputImages[(int)type].sprite = addInputSprite[(int)type];
    }
}
