﻿using UnityEngine;
using System.Collections.Generic;

namespace Settings
{
    /// <summary>
    /// The type of input, Controller, Keyboard or Mouse
    /// </summary>
    public enum InputType
    {
        Controller,
        Keyboard,
        Mouse,
        None
    };

    public class PlayerSettings : MonoBehaviour
    {
        public static PlayerSettings Instance;

        /// <summary>
        /// The defined inputs
        /// </summary>
        public List<InputType> inputs = new List<InputType>();

        /// <summary>
        /// The defined controller inputs
        /// </summary>
        public List<int> addedControllerIDs = new List<int>();

        void Awake()
        {
            if (Instance == null)
            {
                Instance = this;
            }
            else
            {
                if (Instance != this)
                {
                    Debug.Log("Douplicate PlayerSettings found, destroying this instance.");
                    Destroy(this);
                }
            }
        }

        // Use this for initialization
        void Start()
        {
            if (inputs.Count > 0)
            {
                string buffer = "Inputs:";
                foreach (InputType t in inputs)
                {
                    buffer += " " + t.ToString();
                }
                Debug.Log(buffer);
            }
            DontDestroyOnLoad(gameObject);
        }

        // Update is called once per frame
        void Update()
        {

        }
    }
}