﻿using System;

internal class RoundsMode : GameMode
{
    /// <summary>
    /// The game has been won if there is only one player left, outputs the winning player.
    /// </summary>
    /// <param name="players">All players in the game</param>
    /// <param name="winningPlayer">The winning player, null if the game has not been won.</param>
    /// <returns>Weighter the game is won.</returns>
    public override bool IsGameWon(Player[] players, out Player winningPlayer)
    {
        bool result = false;
        winningPlayer = null;
        Player tempWinningPlayer = null;

        // Check if the game has been won by any player, thus checking for one alive player.
        int alivePlayers = 0;
        foreach (Player player in players)
        {
            if (player.Alive)
            {
                alivePlayers++;
                tempWinningPlayer = player;
            }
        }

        // If there is just one player left
        if (alivePlayers == 1)
        {
            winningPlayer = tempWinningPlayer;
            result = true;
        }

        return result;
    }
}