﻿using UnityEngine;
using System.Collections;
using XInputDotNetPure;

public class VibrationManager : MonoBehaviour {

    public float vibrationStrength = 0.3f;
    public float vibrationDuration = 0.5f;

    // Use this for initialization
    void Start () {
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    /// <summary>
    /// Add a player manager
    /// </summary>
    /// <param name="pm"></param>
    public void AddPlayerManager(PlayerManager pm)
    {
        if (pm != null && pm.DieEvent != null)
        {
            pm.DieEvent.AddListener(VibrateController);
        } 
    }

    /// <summary>
    /// Turns all the vibrating controllers off.
    /// </summary>
    internal void StopAllVibration()
    {
        for (int i = 0; i < 4; i++)
        {
            GamePad.SetVibration((PlayerIndex)i, 0.0f, 0.0f);
        }
    }

    /// <summary>
    /// Shortly vibrates the controller with the given ID.
    /// </summary>
    /// <param name="ID">The controller to turn off</param>
    public void VibrateController(int ID)
    {
        StartCoroutine(Vibrate(ID));
    }
    
    IEnumerator Vibrate(int ID)
    {
        GamePad.SetVibration((PlayerIndex)(ID-1), vibrationStrength, vibrationStrength);
        yield return new WaitForSeconds(vibrationDuration);
        GamePad.SetVibration((PlayerIndex)(ID - 1), 0.0f, 0.0f);
    }
}
