﻿Shader "Custom/RGB Splitter" {
Properties {
 _MainTex ("", 2D) = "white" {} //Input texture from Blit
 _RedShift ("RedShift", Vector) = (0.1,0.1,0,0)
 _GreenShift ("GreenShift", Vector) = (0.0,0.0,0,0)
 _BlueShift ("BlueShift", Vector) = (-0.1,0.1,0,0)
}
 
SubShader {
 
ZTest Always Cull Off ZWrite Off Fog { Mode Off } //Rendering settings
 
 Pass{
  CGPROGRAM
  #pragma vertex vert
  #pragma fragment frag
  #include "UnityCG.cginc" 
  //we include "UnityCG.cginc" to use the appdata_img struct
    
  struct v2f {
   float4 pos : POSITION;
   half2 uv1 : TEXCOORD0;
   half2 uv2 : TEXCOORD1;
   half2 uv3 : TEXCOORD2;
  };
   

   half2 _RedShift;
   half2 _GreenShift;
   half2 _BlueShift;
  //Our Vertex Shader 
  v2f vert (appdata_img v){
   v2f o;
   o.pos = mul (UNITY_MATRIX_MVP, v.vertex);
   o.uv1 = v.texcoord.xy + _RedShift;
   o.uv2 = v.texcoord.xy + _GreenShift;
   o.uv3 = v.texcoord.xy + _BlueShift;
   return o; 
  }
    
  sampler2D _MainTex; //Reference in Pass is necessary to let us use this variable in shaders
    

  //Our Fragment Shader
  float4 frag (v2f i) : COLOR{
   float r = tex2D(_MainTex, i.uv1).r; //Get the orginal rendered color 
   float g = tex2D(_MainTex, i.uv2).g; //Get the orginal rendered color 
   float b = tex2D(_MainTex, i.uv3).b; //Get the orginal rendered color 
   float4 col = fixed4(r, g, b, 1);
     
   return col;
  }
  ENDCG
 }
} 
 FallBack "Diffuse"
}